プラットフォームインテリジェンス API
Facebook API
約20億人の日常的なユーザーが投稿、写真、動画、グループ、イベント、マーケットプレースのリストを共有しており、コミュニティのリーチ、顧客サービス、地域の発見、ソーシャルコマースにおいて重要です。
APIリファレンス バージョン: 1.0.0 41 エンドポイント 認証
ベース URL
https://api.pressmonitor.com/facebook/v1 認証
すべてのリクエストはベアラートークン認証を使用します。すべての呼び出しにAuthorizationヘッダーを追加してください。
Authorization: Bearer YOUR_TOKEN GET
/album-metadata アルバムのメタデータ
Album Metadata
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| album_id | string | query | はい | アルバムID |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/album-metadata" querystring = {"album_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/album-metadata?album_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/event-details イベントの詳細
Event Details
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| event_id | string | query | はい | イベントID |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/event-details?event_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/event-details" querystring = {"event_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/event-details?event_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/events-search イベントを検索
Events Search
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/events-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/events-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/get-post 投稿の取得
Get Post
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| post_id | string | query | はい | 投稿ID |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/get-post?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/get-post" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/get-post?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/group-about グループについて
Group About
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| id | string | query | はい | ID |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-about?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-about" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-about?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/group-admins グループ管理者
Group Admins
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| id | string | query | はい | ID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-admins" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-admins?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/group-albums グループのアルバム
Group Albums
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| id | string | query | はい | ID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-albums" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/group-feed グループのフィード
Group Feed
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| id | string | query | はい | ID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-feed" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/group-info グループ情報
Group Info
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| id | string | query | はい | ID |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-info?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-info" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-info?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/group-members グループメンバー
Group Members
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| id | string | query | はい | ID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-members" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-members?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/group-photos グループの写真
Group Photos
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| id | string | query | はい | ID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/group-photos" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/group-photos?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/groups グループ
Groups
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/groups" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/groups?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/marketplace-product マーケットプレイス製品
Marketplace Product
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| product_id | string | query | はい | 製品ID |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-product" querystring = {"product_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-product?product_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/marketplace-profile マーケットプレイスプロフィール
Marketplace Profile
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user_id | string | query | はい | ユーザーID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-profile" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-profile?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/marketplace-search マーケットプレイス検索
Marketplace Search
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/marketplace-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/marketplace-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/page-albums ページのアルバム
Page Albums
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| id | string | query | はい | ID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-albums" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-albums?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/page-details ページの詳細
Page Details
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| id | string | query | はい | ID |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-details?id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-details" querystring = {"id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-details?id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/page-feed ページのフィード
Page Feed
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| id | string | query | はい | ID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/page-feed" querystring = {"id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/page-feed?id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/pages-search ページを検索
Pages Search
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/pages-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/pages-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/pages-search-post ページ検索投稿
Pages Search Post
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/pages-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/pages-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/photos 写真
Photos
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/photos" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/photos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/post-comments 投稿のコメント
Post Comments
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| post_id | string | query | はい | 投稿ID |
| end_cursor | string | query | いいえ | 終了カーソル |
| order | string | query | いいえ | 順序 |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-comments" querystring = {"post_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE","order":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-comments?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&order=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/post-reactions 投稿へのリアクション
Post Reactions
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| post_id | string | query | はい | 投稿ID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-reactions" querystring = {"post_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-reactions?post_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/post-reactions-count 投稿のリアクション数
Post Reactions Count
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| post_id | string | query | はい | 投稿ID |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/post-reactions-count" querystring = {"post_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/post-reactions-count?post_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/posts-search 投稿を検索
Posts Search
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| date_posted | string | query | いいえ | 投稿日付 |
| end_cursor | string | query | いいえ | 終了カーソル |
| end_date | string | query | いいえ | 終了日付 |
| recent_posts | string | query | いいえ | 最近の投稿 |
| start_date | string | query | いいえ | 開始日付 |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/posts-search" querystring = {"query":"SOME_STRING_VALUE","date_posted":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE","end_date":"SOME_STRING_VALUE","recent_posts":"SOME_STRING_VALUE","start_date":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/posts-search?query=SOME_STRING_VALUE&date_posted=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE&end_date=SOME_STRING_VALUE&recent_posts=SOME_STRING_VALUE&start_date=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/posts-search-post 投稿検索投稿
Posts Search Post
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/posts-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/posts-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/profile-about プロフィールについて
Profile About
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user_id | string | query | はい | ユーザーID |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-about?user_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-about" querystring = {"user_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-about?user_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/profile-albums プロフィールのアルバム
Profile Albums
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user_id | string | query | はい | ユーザーID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-albums" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-albums?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/profile-feed プロフィールのフィード
Profile Feed
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user_id | string | query | はい | ユーザーID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-feed" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-feed?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/profile-friends プロフィールの友達
Profile Friends
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user_id | string | query | はい | ユーザーID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-friends" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-friends?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/profile-likes プロフィールのいいね
Profile Likes
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user_id | string | query | はい | ユーザーID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-likes" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-likes?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/profile-page プロフィールページ
Profile Page
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user_id | string | query | はい | ユーザーID |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-page?user_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-page" querystring = {"user_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-page?user_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/profile-photos プロフィールの写真
Profile Photos
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user_id | string | query | はい | ユーザーID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-photos" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-photos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/profile-search プロフィールを検索
Profile Search
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-search" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-search?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/profile-search-post プロフィール検索投稿
Profile Search Post
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-search-post" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-search-post?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/profile-videos プロフィール動画
Profile Videos
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user_id | string | query | はい | ユーザーID |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/profile-videos" querystring = {"user_id":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/profile-videos?user_id=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/url URL
Url
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| url | string | query | はい | URL |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/url?url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/url" querystring = {"url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/url?url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/video-id-url 動画IDのURL
Video Id Url
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| url | string | query | はい | URL |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/video-id-url?url=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/video-id-url" querystring = {"url":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/video-id-url?url=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功
GET
/videos 動画
Videos
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | 検索クエリ |
| end_cursor | string | query | いいえ | 終了カーソル |
コード例
curl --request GET \ --url 'https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/facebook/v1/videos" querystring = {"query":"SOME_STRING_VALUE","end_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/facebook/v1/videos?query=SOME_STRING_VALUE&end_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); レスポンス
200 成功